/****************************************************************************
** Generated QML type registration code
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#include <QtQml/qqml.h>
#include <QtQml/qqmlmoduleregistration.h>

#if __has_include(<colorhelper.h>)
#  include <colorhelper.h>
#endif
#if __has_include(<decorationoptions.h>)
#  include <decorationoptions.h>
#endif


#if !defined(QT_STATIC)
#define Q_QMLTYPE_EXPORT Q_DECL_EXPORT
#else
#define Q_QMLTYPE_EXPORT
#endif
Q_QMLTYPE_EXPORT void qml_register_types_org_kde_kwin_decoration()
{
    qmlRegisterModule("org.kde.kwin.decoration", 0, 0);
    QT_WARNING_PUSH QT_WARNING_DISABLE_DEPRECATED
    qmlRegisterTypesAndRevisions<Aurorae::Borders>("org.kde.kwin.decoration", 0);
    qmlRegisterTypesAndRevisions<Aurorae::DecorationOptions>("org.kde.kwin.decoration", 0);
    qmlRegisterEnum<Aurorae::DecorationOptions::BorderSize>("Aurorae::DecorationOptions::BorderSize");
    qmlRegisterEnum<Aurorae::DecorationOptions::DecorationButton>("Aurorae::DecorationOptions::DecorationButton");
    qmlRegisterTypesAndRevisions<ColorHelper>("org.kde.kwin.decoration", 0);
    qmlRegisterEnum<ColorHelper::ShadeRole>("ColorHelper::ShadeRole");
    qmlRegisterEnum<ColorHelper::BackgroundRole>("ColorHelper::BackgroundRole");
    qmlRegisterEnum<ColorHelper::ForegroundRole>("ColorHelper::ForegroundRole");
    QT_WARNING_POP
    qmlRegisterModule("org.kde.kwin.decoration", 0, 1);
}

static const QQmlModuleRegistration orgkdekwindecorationRegistration("org.kde.kwin.decoration", qml_register_types_org_kde_kwin_decoration);
